You are not logged in.

#1 2014-03-20 14:08:43

killedbymonkeys
Member
Registered: 2013-08-26
Posts: 16

Zeromq Update broke my Project

Hi, I'm new here so it might be the wrong Forum.

After pacman upgraded zmq to 4.0.4 i get the following error.

g++ -c -std=c++11 -lOpenCL -lzmq server_com.cpp -o server_com.oxx
In file included from zhelpers.hpp:29:0,
                 from server_com.h:6,
                 from server_com.cpp:1:
/usr/include/zmq.hpp: In function ‘void zmq::proxy_steerable(void*, void*, void*, void*)’:
/usr/include/zmq.hpp:120:74: error: ‘zmq_proxy_steerable’ was not declared in this scope
         int rc = zmq_proxy_steerable (frontend, backend, capture, control);
                                                                          ^
makefile:19: recipe for target 'server_com.oxx' failed
make: *** [server_com.oxx] Error 1

I already tried to build zmq from Source and get a fresh copy of zhelpers.hpp. Any suggestions ?

Cheers killedbymonkeys

Offline

#2 2014-03-25 16:55:22

solarwind
Member
From: Toronto
Registered: 2008-03-18
Posts: 546

Re: Zeromq Update broke my Project

I have this error as well. It's because the zeromq package in the repositories at the time of this writing is 4.0.4, but zmq.hpp is being pulled directly from github which sometimes also requires the latest zeromq from github (currently 4.1.0).

I modified the ABS zeromq PKGBUILD to pull the zeromq sources from github and it's working for me now:

pkgname=zeromq
pkgver=4.1.0
pkgrel=1
pkgdesc="Fast messaging system built on sockets.  C and C++ bindings.  aka 0MQ, ZMQ."
arch=('i686' 'x86_64')
url="http://www.zeromq.org"
license=('LGPL')
depends=('gcc-libs' 'util-linux' 'libsodium')
makedepends=('python2')
options=('staticlibs')
source=(git+https://github.com/zeromq/libzmq.git
        https://raw.github.com/zeromq/cppzmq/master/zmq.hpp)
md5sums=('SKIP' 'SKIP')

build() {
  cd "$srcdir/libzmq"
  ./autogen.sh
  ./configure prefix=/usr --with-pgm --with-libsodium
  sed -i 's/python$/&2/' foreign/openpgm/build-staging/openpgm/pgm/{Makefile,version_generator.py}
  make
}

package() {
  cd "$srcdir/libzmq"
  make DESTDIR="$pkgdir" install
  install -Dm644 "$srcdir/zmq.hpp" "$pkgdir/usr/include/zmq.hpp"
}

Just put the above code into a file named PKGBUILD, and run makepkg -si to build and install.

Last edited by solarwind (2014-03-25 16:58:18)

Offline

#3 2014-03-25 17:29:37

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,795
Website

Re: Zeromq Update broke my Project

Moving to Creating & Modifying Packages...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#4 2014-03-25 17:54:24

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,976

Re: Zeromq Update broke my Project

File a bug report.

Offline

Board footer

Powered by FluxBB